%global momorel 2

Name:		quilt
Summary:	Scripts for working with series of patches
License:	GPL
Group:		Development/Tools
Version:	0.46
Release: %{momorel}m%{?dist}
%NoSource 0	http://savannah.nongnu.org/download/quilt/quilt-%{version}.tar.gz 4508546d1ed0257ef7c128b6121b7208
URL:		http://savannah.nongnu.org/projects/quilt
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gettext
Requires: coreutils
Requires: diffutils
Requires: gzip
Requires: bzip2
Requires: sed
Requires: gawk
Requires: diffstat
Requires: postfix
Requires: util-linux
Requires: tar
Requires: rpm-build

%description
These scripts allow one to manage a series of patches by keeping track of the
changes each patch makes. Patches can be applied, un-applied, refreshed, etc.

The scripts are heavily based on Andrew Morton's patch scripts found at
http://www.zip.com.au/~akpm/linux/patches/

%prep
%setup

%build
%configure --with-mta=%{_sbindir}/sendmail --with-diffstat=%{_bindir}/diffstat
%make

%install
rm -rf %{buildroot}
make install BUILD_ROOT=%{buildroot}
%{find_lang} %{name}
mv %{buildroot}/%{_docdir}/%{name}-%{version}/* .
rm -rf %{buildroot}/%{_docdir}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc README README.MAIL quilt.pdf
%doc AUTHORS COPYING TODO
%{_bindir}/guards
%{_bindir}/quilt
%{_datadir}/quilt/
%{_libdir}/quilt/
%{_sysconfdir}/bash_completion.d/quilt
%config %{_sysconfdir}/quilt.quiltrc
%{_mandir}/man1/*

%changelog
* Sat Feb 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.46-2m)
- modify %%files

* Mon Dec 18 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.46-1m)
- initial commit

